<?php

use Aheto\Helper;

add_action('aheto_before_aheto_features-single_register', 'djo_features_single_layout3');

/**
 * Features Single Shortcode
 */

function djo_features_single_layout3($shortcode) {
	$dir = DJO_T_URI . '/aheto/features-single/previews/';

	$shortcode->add_layout('cs_layout3', [
		'title' => esc_html__('Djo With Image', 'djo'),
		'image' => $dir . 'cs_layout3.jpg',
	]);

	djo_add_dependency('s_image', ['cs_layout3'], $shortcode);
	djo_add_dependency('s_heading', ['cs_layout3'], $shortcode);
	djo_add_dependency(['use_heading', 't_heading'], ['cs_layout3'], $shortcode);
	djo_add_dependency('s_description', ['cs_layout3'], $shortcode);
	djo_add_dependency(['use_description', 't_description'], ['cs_layout3'], $shortcode);

}