<?php

use Aheto\Helper;

add_action('aheto_before_aheto_media_register', 'djo_media_layout1');

/**
 * Gallery / Media Shortcode
 */

function djo_media_layout1($shortcode) {

	$dir = DJO_T_URI . '/aheto/media/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('Djo Gallery', 'djo'),
		'image' => $dir . 'cs_layout1.jpg',
	]);

	$shortcode->add_dependecy('cs_items', 'template', 'cs_layout1');

	$shortcode->add_params([
		'cs_items'        => [
			'type'    => 'group',
			'heading' => esc_html__('Gallery items', 'djo'),
			'params'  => [
				'cs_image'			=> [
					'type'    		=> 'attach_image',
					'heading' 		=> esc_html__('Gallery item image', 'djo'),
				],
				'cs_title'     => [
					'type'    => 'textarea',
					'heading' => esc_html__('Gallery item title', 'djo'),
					'grid'    => 12,
				],
				'cs_subtitle'     => [
					'type'    => 'textarea',
					'heading' => esc_html__('Gallery item subtitle', 'djo'),
					'grid'    => 12,
				],
			],
		],
	]);
}

