<?php

use Aheto\Helper;

add_action('aheto_before_aheto_video-btn_register', 'djo_video_btn_layout2');

/**
 * Video Button Shortcode
 */

function djo_video_btn_layout2($shortcode) {
	$dir = DJO_T_URI . '/aheto/video-btn/previews/';

	$shortcode->add_layout('cs_layout2', [
		'title' => esc_html__('Djo Inline', 'djo'),
		'image' => $dir . 'cs_layout2.jpg',
	]);

	$shortcode->add_dependecy('cs_title', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_image', 'template', 'cs_layout2');

	$shortcode->add_params([
		'cs_title'        => [
			'type'    => 'text',
			'heading' => esc_html__('Seo title(For Video Poster Image)', 'djo'),
		],
		'cs_image'         => [
			'type'    => 'attach_image',
			'heading' => esc_html__('Preview Image', 'djo'),
			'description' => esc_html__('If this empty - will be show Video Poster Image', 'djo'),
		],
	]);
}
