<?php
/**
 * 404 Page
 */

get_header(); ?>

    <div class="djo-error--wrap">

        <div class="djo-error--big-title"><?php esc_html_e( 'OOPS!', 'djo' ); ?></div>

        <div class="djo-error--small-title"><?php esc_html_e( '404', 'djo' ); ?></div>

        <h1 class="djo-error--title"><?php esc_html_e( 'Page not found', 'djo' ); ?></h1>

        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="djo-error--button"><?php esc_html_e( 'Go home', 'djo' ); ?></a>

    </div>

<?php get_footer();
