<?php 
/**
 * Top Heading Fields for several templates
 */
add_action( 'cmb2_admin_init', 'saa_page_options_custom_fields' );

function saa_page_options_custom_fields() {
    $cmb = new_cmb2_box( array(
        'id' => 'page_options',
        'title' => __( 'Page Options', 'djo' ),
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true, // Show field names on the left
        'object_types' => array( 'page' ),
    ) );

    $cmb->add_field( array(
        'name' => __( 'Enable menu scrolling', 'djo' ),
        'id' => 'home_check',
        'desc' => __( 'Menu links will scroll current page. If disable - links will be redirect to home page', 'djo' ),
        'type' => 'checkbox',
    ) );
}
?>