<?php
/**
 * Custom Page Template
 */

get_header();

$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

while ( have_posts() ) : the_post();?>

    <div class="djo-blog--single-wrapper <?php echo esc_attr( $protected ); ?>">
        <div class="djo-blog--single__top-content">

            <div class="container">
                <div class="row">
                    <div class="col-12">

						<?php the_title( '<h1 class="djo-blog--single__title text-center">', '</h1>' ); ?>

                    </div>
                </div>
            </div>

        </div>
        <div class="container djo-blog--single__post-content">
            <div class="row">
                <div class="col-12">

                    <div class="djo-blog--single__content-wrapper page">

						<?php the_content();
						wp_link_pages( 'link_before=<span class="djo-blog--single__pages">&link_after=</span>&before=<div class="djo-blog--single__post-nav"> <span>' . esc_html__( "Page:", 'djo' ) . ' </span> &after=</div>' ); ?>

                    </div>

					<?php if ( comments_open() || '0' != get_comments_number() && wp_count_comments( $get_id ) ) { ?>
                        <div class="djo-blog--single__comments page">
							<?php comments_template( '', true ); ?>
                        </div>
					<?php } ?>

                </div>
            </div>
        </div>
    </div>


<?php
endwhile;

get_footer();
